////////////////////////////////////////////
///	Handles keyboard and mouse input ///
////////////////////////////////////////////

extern char kdown[256];
extern char kpush[256];

void init_input();
void close_input();
void scan_keys();
void scan_mouse();

void slow_keys(int mode);

void save_terminal_settings();
void restore_terminal_settings();

#define KEY_REPEAT 3000
#define KEY_REREPEAT 1500

#define ESCAPE_SCANS 45

#define is_pushed(A) (kpush[A]==KEY_PRESSED)
#define is_down(A)   (kdown[A]==KEY_PRESSED)
